Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaSourceDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.CategoryDefinition
                  oracle.ifs.beans.InterMediaSourceDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  InterMediaAudioDefinition, InterMediaImageDefinition, InterMediaMovieDefinition, InterMediaVideoDefinition

    public class InterMediaSourceDefinition

extends CategoryDefinition

The InterMediaSourceDefinition class

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`InterMediaSourceDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`InterMediaSourceDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`java.lang.String` | `getTextLanguage()` gets the language of the text reader, if any
`java.io.Reader` | `getTextReader()` Gets the Reader from which text content will be loaded.
`void` | `setTextLanguage(java.lang.String language)` sets the language of the text reader, if any
`void` | `setTextReader(java.io.Reader textReader)` Sets the content Reader from which text content will be loaded/created.
`static InterMediaSourceDefinition` | `toInterMediaSourceDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a InterMediaSourceDefinition.
`static InterMediaSourceDefinition` | `toInterMediaSourceDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a InterMediaSourceDefinition.

Methods inherited from class oracle.ifs.beans.CategoryDefinition
`getUpdateAssociatedObjectOption, setUpdateAssociatedObjectOption, toCategoryDefinition, toCategoryDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterMediaSourceDefinition

    public InterMediaSourceDefinition(LibrarySessionInterface session)
                               throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be InterMediaSource.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### InterMediaSourceDefinition

    public InterMediaSourceDefinition(LibrarySessionInterface session,
                                      java.lang.String className)
                               throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setTextReader

    public void setTextReader(java.io.Reader textReader)
                       throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  Sets the content Reader from which text content will be loaded/created. Text content is the text that will be indexed (as apposed to the actual rich-media content).

  Parameters:
    `textReader` - an Reader from which content will be loaded/created.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getTextReader

    public java.io.Reader getTextReader()
                                 throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  Gets the Reader from which text content will be loaded. or null if no Reader was specified. Text content is the text that will be indexed (as apposed to the actual rich-media content).

  Returns:
    the content Reader
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setTextLanguage

    public void setTextLanguage(java.lang.String language)
                         throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  sets the language of the text reader, if any

  Parameters:
    `language` - the language of the text reader. Used for Oracle Text indexing
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getTextLanguage

    public java.lang.String getTextLanguage()
                                     throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  gets the language of the text reader, if any

  Returns:
    language the language of the text reader.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toInterMediaSourceDefinition

    public static InterMediaSourceDefinition toInterMediaSourceDefinition(LibraryObjectDefinition lodef)
                                                                   throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  Cast specified LibraryObjectDefinition to a InterMediaSourceDefinition.

  Return null if the specified definition is not a InterMediaSourceDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a InterMediaSourceDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toInterMediaSourceDefinition

    public static InterMediaSourceDefinition toInterMediaSourceDefinition(LibraryObjectDefinition lodef,
                                                                          boolean enforceCompat)
                                                                   throws IfsException

  Description copied from class: `InterMediaSourceDefinition`
  Cast specified LibraryObjectDefinition to a InterMediaSourceDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a InterMediaSourceDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a InterMediaSourceDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD